# Makefile.in generated by automake 1.7.2 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.6 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

#    This file is part of the KDE libraries
#    Copyright (C) 1997 Torben Weis (weis@kde.org)

#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Library General Public
#    License as published by the Free Software Foundation; either
#    version 2 of the License, or (at your option) any later version.

#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Library General Public License for more details.

#    You should have received a copy of the GNU Library General Public License
#    along with this library; see the file COPYING.LIB.  If not, write to
#    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
#    Boston, MA 02111-1307, USA.

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
ACLOCAL = @ACLOCAL@
ALLOCA = @ALLOCA@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CONVENIENCE_LTDL_FALSE = @CONVENIENCE_LTDL_FALSE@
CONVENIENCE_LTDL_TRUE = @CONVENIENCE_LTDL_TRUE@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOJAVA_FALSE = @DOJAVA_FALSE@
DOJAVA_TRUE = @DOJAVA_TRUE@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DO_WE_HAVE_SSL = @DO_WE_HAVE_SSL@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
EXTRA_SUBDIRS = @EXTRA_SUBDIRS@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GMSGFMT = @GMSGFMT@
HAVE_MITSHM = @HAVE_MITSHM@
HELP_SUBDIR = @HELP_SUBDIR@
ICE_RLIB = @ICE_RLIB@
ICE_SUBDIR = @ICE_SUBDIR@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_LTDL_FALSE = @INSTALL_LTDL_FALSE@
INSTALL_LTDL_TRUE = @INSTALL_LTDL_TRUE@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_FORCE_INLINE = @KDE_FORCE_INLINE@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
KJAVA_POLICYPATH = @KJAVA_POLICYPATH@
LDAP_INCS = @LDAP_INCS@
LDAP_LIBS = @LDAP_LIBS@
LDAP_RPATH = @LDAP_RPATH@
LDFLAGS = @LDFLAGS@
LIBADD_DL = @LIBADD_DL@
LIBART_CFLAGS = @LIBART_CFLAGS@
LIBART_LIBS = @LIBART_LIBS@
LIBART_RPATH = @LIBART_RPATH@
LIBASOUND = @LIBASOUND@
LIBBZ2 = @LIBBZ2@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBFAM = @LIBFAM@
LIBICE = @LIBICE@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPCRE = @LIBPCRE@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBSSL = @LIBSSL@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBVOLMGT = @LIBVOLMGT@
LIBXINERAMA = @LIBXINERAMA@
LIBXML_CFLAGS = @LIBXML_CFLAGS@
LIBXML_LIBS = @LIBXML_LIBS@
LIBXML_RPATH = @LIBXML_RPATH@
LIBXSLT_CFLAGS = @LIBXSLT_CFLAGS@
LIBXSLT_LIBS = @LIBXSLT_LIBS@
LIBXSLT_RPATH = @LIBXSLT_RPATH@
LIBZ = @LIBZ@
LIB_CUPS = @LIB_CUPS@
LIB_DMALLOC = @LIB_DMALLOC@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LIB_XRENDER = @LIB_XRENDER@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MEINPROC_DEP = @MEINPROC_DEP@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PCRECFLAGS = @PCRECFLAGS@
PCSC_INCLUDES = @PCSC_INCLUDES@
PCSC_LDFLAGS = @PCSC_LDFLAGS@
QNAMESPACE_H = @QNAMESPACE_H@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SMARTCARDDIR = @SMARTCARDDIR@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__quote = @am__quote@
arts_SUBDIR_included_FALSE = @arts_SUBDIR_included_FALSE@
arts_SUBDIR_included_TRUE = @arts_SUBDIR_included_TRUE@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
cups_modeldir = @cups_modeldir@
datadir = @datadir@
dcop_SUBDIR_included_FALSE = @dcop_SUBDIR_included_FALSE@
dcop_SUBDIR_included_TRUE = @dcop_SUBDIR_included_TRUE@
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
include_BZIP2_FALSE = @include_BZIP2_FALSE@
include_BZIP2_TRUE = @include_BZIP2_TRUE@
include_LDAP_FALSE = @include_LDAP_FALSE@
include_LDAP_TRUE = @include_LDAP_TRUE@
include_SVGICONS_FALSE = @include_SVGICONS_FALSE@
include_SVGICONS_TRUE = @include_SVGICONS_TRUE@
include_TIFF_MODULES_FALSE = @include_TIFF_MODULES_FALSE@
include_TIFF_MODULES_TRUE = @include_TIFF_MODULES_TRUE@
include_bzip2_FALSE = @include_bzip2_FALSE@
include_bzip2_TRUE = @include_bzip2_TRUE@
include_cups_SUBDIR_FALSE = @include_cups_SUBDIR_FALSE@
include_cups_SUBDIR_TRUE = @include_cups_SUBDIR_TRUE@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
interfaces_SUBDIR_included_FALSE = @interfaces_SUBDIR_included_FALSE@
interfaces_SUBDIR_included_TRUE = @interfaces_SUBDIR_included_TRUE@
kab_SUBDIR_included_FALSE = @kab_SUBDIR_included_FALSE@
kab_SUBDIR_included_TRUE = @kab_SUBDIR_included_TRUE@
kabc_SUBDIR_included_FALSE = @kabc_SUBDIR_included_FALSE@
kabc_SUBDIR_included_TRUE = @kabc_SUBDIR_included_TRUE@
kate_SUBDIR_included_FALSE = @kate_SUBDIR_included_FALSE@
kate_SUBDIR_included_TRUE = @kate_SUBDIR_included_TRUE@
kcert_SUBDIR_included_FALSE = @kcert_SUBDIR_included_FALSE@
kcert_SUBDIR_included_TRUE = @kcert_SUBDIR_included_TRUE@
kconf_update_SUBDIR_included_FALSE = @kconf_update_SUBDIR_included_FALSE@
kconf_update_SUBDIR_included_TRUE = @kconf_update_SUBDIR_included_TRUE@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdecore_SUBDIR_included_FALSE = @kdecore_SUBDIR_included_FALSE@
kdecore_SUBDIR_included_TRUE = @kdecore_SUBDIR_included_TRUE@
kded_SUBDIR_included_FALSE = @kded_SUBDIR_included_FALSE@
kded_SUBDIR_included_TRUE = @kded_SUBDIR_included_TRUE@
kdefx_SUBDIR_included_FALSE = @kdefx_SUBDIR_included_FALSE@
kdefx_SUBDIR_included_TRUE = @kdefx_SUBDIR_included_TRUE@
kdeprint_SUBDIR_included_FALSE = @kdeprint_SUBDIR_included_FALSE@
kdeprint_SUBDIR_included_TRUE = @kdeprint_SUBDIR_included_TRUE@
kdesu_SUBDIR_included_FALSE = @kdesu_SUBDIR_included_FALSE@
kdesu_SUBDIR_included_TRUE = @kdesu_SUBDIR_included_TRUE@
kdeui_SUBDIR_included_FALSE = @kdeui_SUBDIR_included_FALSE@
kdeui_SUBDIR_included_TRUE = @kdeui_SUBDIR_included_TRUE@
kdewidgets_SUBDIR_included_FALSE = @kdewidgets_SUBDIR_included_FALSE@
kdewidgets_SUBDIR_included_TRUE = @kdewidgets_SUBDIR_included_TRUE@
kdoctools_SUBDIR_included_FALSE = @kdoctools_SUBDIR_included_FALSE@
kdoctools_SUBDIR_included_TRUE = @kdoctools_SUBDIR_included_TRUE@
khtml_SUBDIR_included_FALSE = @khtml_SUBDIR_included_FALSE@
khtml_SUBDIR_included_TRUE = @khtml_SUBDIR_included_TRUE@
kimgio_SUBDIR_included_FALSE = @kimgio_SUBDIR_included_FALSE@
kimgio_SUBDIR_included_TRUE = @kimgio_SUBDIR_included_TRUE@
kinit_SUBDIR_included_FALSE = @kinit_SUBDIR_included_FALSE@
kinit_SUBDIR_included_TRUE = @kinit_SUBDIR_included_TRUE@
kio_SUBDIR_included_FALSE = @kio_SUBDIR_included_FALSE@
kio_SUBDIR_included_TRUE = @kio_SUBDIR_included_TRUE@
kioslave_SUBDIR_included_FALSE = @kioslave_SUBDIR_included_FALSE@
kioslave_SUBDIR_included_TRUE = @kioslave_SUBDIR_included_TRUE@
kjs_SUBDIR_included_FALSE = @kjs_SUBDIR_included_FALSE@
kjs_SUBDIR_included_TRUE = @kjs_SUBDIR_included_TRUE@
kparts_SUBDIR_included_FALSE = @kparts_SUBDIR_included_FALSE@
kparts_SUBDIR_included_TRUE = @kparts_SUBDIR_included_TRUE@
ksmartcard_SUBDIR_included_FALSE = @ksmartcard_SUBDIR_included_FALSE@
ksmartcard_SUBDIR_included_TRUE = @ksmartcard_SUBDIR_included_TRUE@
kspell_SUBDIR_included_FALSE = @kspell_SUBDIR_included_FALSE@
kspell_SUBDIR_included_TRUE = @kspell_SUBDIR_included_TRUE@
kstyles_SUBDIR_included_FALSE = @kstyles_SUBDIR_included_FALSE@
kstyles_SUBDIR_included_TRUE = @kstyles_SUBDIR_included_TRUE@
kutils_SUBDIR_included_FALSE = @kutils_SUBDIR_included_FALSE@
kutils_SUBDIR_included_TRUE = @kutils_SUBDIR_included_TRUE@
kwallet_SUBDIR_included_FALSE = @kwallet_SUBDIR_included_FALSE@
kwallet_SUBDIR_included_TRUE = @kwallet_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libkmid_SUBDIR_included_FALSE = @libkmid_SUBDIR_included_FALSE@
libkmid_SUBDIR_included_TRUE = @libkmid_SUBDIR_included_TRUE@
libkscreensaver_SUBDIR_included_FALSE = @libkscreensaver_SUBDIR_included_FALSE@
libkscreensaver_SUBDIR_included_TRUE = @libkscreensaver_SUBDIR_included_TRUE@
libltdl_SUBDIR_included_FALSE = @libltdl_SUBDIR_included_FALSE@
libltdl_SUBDIR_included_TRUE = @libltdl_SUBDIR_included_TRUE@
licenses_SUBDIR_included_FALSE = @licenses_SUBDIR_included_FALSE@
licenses_SUBDIR_included_TRUE = @licenses_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
mimetypes_SUBDIR_included_FALSE = @mimetypes_SUBDIR_included_FALSE@
mimetypes_SUBDIR_included_TRUE = @mimetypes_SUBDIR_included_TRUE@
oldincludedir = @oldincludedir@
path_su = @path_su@
pics_SUBDIR_included_FALSE = @pics_SUBDIR_included_FALSE@
pics_SUBDIR_included_TRUE = @pics_SUBDIR_included_TRUE@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
x_includes = @x_includes@
x_libraries = @x_libraries@

AM_CPPFLAGS = -D_LARGEFILE64_SOURCE

INCLUDES = -I$(top_srcdir) -I$(srcdir)/.. -I$(srcdir)/../kssl -I../kssl -I$(srcdir)/../../interfaces  $(all_includes) $(SSL_INCLUDES)

noinst_LTLIBRARIES = libkiocore.la libksycoca.la


# convenience lib - no LDFLAGS or LIBADD !
libksycoca_la_SOURCES = \
	kdirwatch.cpp \
	kfileshare.cpp \
	ktrader.cpp ktraderparse.cpp ktraderparsetree.cpp \
        kservicetypefactory.cpp kservicetype.cpp \
	kmimetype.cpp kservicegroup.cpp \
	kservice.cpp kservicefactory.cpp \
	kuserprofile.cpp kservicegroupfactory.cpp \
	kurifilter.cpp \
	kfilterbase.cpp kfilterdev.cpp \
	kshellcompletion.cpp kurlcompletion.cpp \
	kautomount.cpp krun.cpp \
	kfileitem.cpp kdirlister.cpp kimageio.cpp \
	yacc.c lex.c  \
	chmodjob.cpp kscan.cpp kar.cpp ktar.cpp kzip.cpp previewjob.cpp metainfojob.cpp davjob.cpp \
	kdatatool.cpp karchive.cpp kfilefilter.cpp \
	kfilemetainfo.cpp


include_HEADERS = \
	kservicetype.h kmimetype.h kmimemagic.h kservice.h \
	krun.h kdirwatch.h kautomount.h kuserprofile.h \
	kshred.h kar.h ktar.h kzip.h ktrader.h kurifilter.h kurlcompletion.h \
	kshellcompletion.h kfileitem.h kfileshare.h kdirlister.h kservicegroup.h\
	kimageio.h kdirnotify.h kdirnotify_stub.h \
	kurlpixmapprovider.h kprotocolinfo.h kprotocolmanager.h \
	kfilterbase.h kfilterdev.h kemailsettings.h kscan.h kdatatool.h \
	karchive.h kfilefilter.h kfilemetainfo.h renamedlgplugin.h \
	kmimetyperesolver.h



#libkiocore_la_LDFLAGS = $(all_libraries)
#libkiocore_la_LIBADD = ../../kdeui/libkdeui.la ../../kdesu/libkdesu.la $(LIBZ) $(LIBFAM) $(LIBVOLMGT)
#>- libkiocore_la_SOURCES = \
#>- 	kshred.cpp \
#>- 	kprotocolmanager.cpp \
#>- 	slave.cpp slaveinterface.cpp observer.stub \
#>- 	sessiondata.cpp	scheduler.cpp \
#>- 	connection.cpp \
#>- 	job.cpp global.cpp \
#>- 	slaveconfig.cpp kurlpixmapprovider.cpp \
#>- 	netaccess.cpp paste.cpp \
#>- 	kmimemagic.cpp kpac.cpp \
#>- 	tcpslavebase.cpp slavebase.cpp passdlg.cpp \
#>- 	progressbase.cpp defaultprogress.cpp \
#>- 	statusbarprogress.cpp \
#>- 	kdirnotify.cpp kdirnotify.skel kdirnotify.stub \
#>- 	observer.cpp uiserver.stub observer.skel \
#>- 	kemailsettings.cpp authinfo.cpp \
#>- 	kprotocolinfo.cpp kprotocolinfofactory.cpp \
#>- 	renamedlg.cpp skipdlg.cpp
#>+ 18
libkiocore_la_SOURCES=\
	kshred.cpp \
	kprotocolmanager.cpp \
	slave.cpp slaveinterface.cpp  \
	sessiondata.cpp	scheduler.cpp \
	connection.cpp \
	job.cpp global.cpp \
	slaveconfig.cpp kurlpixmapprovider.cpp \
	netaccess.cpp paste.cpp \
	kmimemagic.cpp kpac.cpp \
	tcpslavebase.cpp slavebase.cpp passdlg.cpp \
	progressbase.cpp defaultprogress.cpp \
	statusbarprogress.cpp \
	kdirnotify.cpp   \
	observer.cpp   \
	kemailsettings.cpp authinfo.cpp \
	kprotocolinfo.cpp kprotocolinfofactory.cpp \
	renamedlg.cpp skipdlg.cpp observer_stub.cpp kdirnotify_skel.cpp kdirnotify_stub.cpp uiserver_stub.cpp observer_skel.cpp


uiserver_DIR = $(top_srcdir)/kio/misc

#>- METASOURCES = AUTO

kioincludedir = $(includedir)/kio
kioinclude_HEADERS = connection.h \
        slaveinterface.h slave.h slaveconfig.h \
        sessiondata.h global.h passdlg.h \
	netaccess.h job.h scheduler.h \
        jobclasses.h paste.h slavebase.h \
	progressbase.h defaultprogress.h \
	statusbarprogress.h tcpslavebase.h \
	observer.h chmodjob.h uiserver_stub.h \
        kpac.h kmdbase.h authinfo.h \
	ioslave_defaults.h http_slave_defaults.h previewjob.h thumbcreator.h \
	metainfojob.h davjob.h renamedlg.h skipdlg.h


# Internal - kprotocolinfofactory.h is old stuff
noinst_HEADERS = kservicetypefactory.h kservicefactory.h \
	kmessageboxwrapper.h \
	ktraderparse.h ktraderparsetree.h yacc.h \
	kimageiofactory.h kdirwatch_p.h kdirlister_p.h \
	kimageiofactory.h kdirwatch_p.h \
	kprotocolinfofactory.h \
	renamedlg.h skipdlg.h


parserfiles = yacc.y lex.l

EXTRA_DIST = $(parserfiles)
subdir = kio/kio
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libkiocore_la_LDFLAGS =
libkiocore_la_LIBADD =
am_libkiocore_la_OBJECTS = kshred.lo kprotocolmanager.lo slave.lo \
	slaveinterface.lo sessiondata.lo scheduler.lo connection.lo \
	job.lo global.lo slaveconfig.lo kurlpixmapprovider.lo \
	netaccess.lo paste.lo kmimemagic.lo kpac.lo tcpslavebase.lo \
	slavebase.lo passdlg.lo progressbase.lo defaultprogress.lo \
	statusbarprogress.lo kdirnotify.lo observer.lo \
	kemailsettings.lo authinfo.lo kprotocolinfo.lo \
	kprotocolinfofactory.lo renamedlg.lo skipdlg.lo
#>- libkiocore_la_OBJECTS = $(am_libkiocore_la_OBJECTS)
#>+ 11
libkiocore_la_final_OBJECTS = libkiocore_la.all_cpp.lo 
libkiocore_la_nofinal_OBJECTS = kshred.lo kprotocolmanager.lo slave.lo \
	slaveinterface.lo sessiondata.lo scheduler.lo connection.lo \
	job.lo global.lo slaveconfig.lo kurlpixmapprovider.lo \
	netaccess.lo paste.lo kmimemagic.lo kpac.lo tcpslavebase.lo \
	slavebase.lo passdlg.lo progressbase.lo defaultprogress.lo \
	statusbarprogress.lo kdirnotify.lo observer.lo \
	kemailsettings.lo authinfo.lo kprotocolinfo.lo \
	kprotocolinfofactory.lo renamedlg.lo skipdlg.lo observer_stub.lo kdirnotify_skel.lo kdirnotify_stub.lo uiserver_stub.lo observer_skel.lo
@KDE_USE_FINAL_FALSE@libkiocore_la_OBJECTS = $(libkiocore_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libkiocore_la_OBJECTS = $(libkiocore_la_final_OBJECTS)
libksycoca_la_LDFLAGS =
libksycoca_la_LIBADD =
am_libksycoca_la_OBJECTS = kdirwatch.lo kfileshare.lo ktrader.lo \
	ktraderparse.lo ktraderparsetree.lo kservicetypefactory.lo \
	kservicetype.lo kmimetype.lo kservicegroup.lo kservice.lo \
	kservicefactory.lo kuserprofile.lo kservicegroupfactory.lo \
	kurifilter.lo kfilterbase.lo kfilterdev.lo kshellcompletion.lo \
	kurlcompletion.lo kautomount.lo krun.lo kfileitem.lo \
	kdirlister.lo kimageio.lo yacc.lo lex.lo chmodjob.lo kscan.lo \
	kar.lo ktar.lo kzip.lo previewjob.lo metainfojob.lo davjob.lo \
	kdatatool.lo karchive.lo kfilefilter.lo kfilemetainfo.lo
#>- libksycoca_la_OBJECTS = $(am_libksycoca_la_OBJECTS)
#>+ 12
libksycoca_la_final_OBJECTS = yacc.lo lex.lo libksycoca_la.all_cpp.lo 
libksycoca_la_nofinal_OBJECTS = kdirwatch.lo kfileshare.lo ktrader.lo \
	ktraderparse.lo ktraderparsetree.lo kservicetypefactory.lo \
	kservicetype.lo kmimetype.lo kservicegroup.lo kservice.lo \
	kservicefactory.lo kuserprofile.lo kservicegroupfactory.lo \
	kurifilter.lo kfilterbase.lo kfilterdev.lo kshellcompletion.lo \
	kurlcompletion.lo kautomount.lo krun.lo kfileitem.lo \
	kdirlister.lo kimageio.lo yacc.lo lex.lo chmodjob.lo kscan.lo \
	kar.lo ktar.lo kzip.lo previewjob.lo metainfojob.lo davjob.lo \
	kdatatool.lo karchive.lo kfilefilter.lo kfilemetainfo.lo
@KDE_USE_FINAL_FALSE@libksycoca_la_OBJECTS = $(libksycoca_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libksycoca_la_OBJECTS = $(libksycoca_la_final_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/authinfo.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/chmodjob.Plo ./$(DEPDIR)/connection.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/davjob.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/defaultprogress.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/global.Plo ./$(DEPDIR)/job.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kar.Plo ./$(DEPDIR)/karchive.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kautomount.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdatatool.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdirlister.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdirnotify.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdirwatch.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kemailsettings.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfilefilter.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfileitem.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfilemetainfo.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfileshare.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfilterbase.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kfilterdev.Plo ./$(DEPDIR)/kimageio.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kmimemagic.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kmimetype.Plo ./$(DEPDIR)/kpac.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kprotocolinfo.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kprotocolinfofactory.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kprotocolmanager.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/krun.Plo ./$(DEPDIR)/kscan.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kservice.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kservicefactory.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kservicegroup.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kservicegroupfactory.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kservicetype.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kservicetypefactory.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kshellcompletion.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kshred.Plo ./$(DEPDIR)/ktar.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ktrader.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ktraderparse.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ktraderparsetree.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kurifilter.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kurlcompletion.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kurlpixmapprovider.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kuserprofile.Plo ./$(DEPDIR)/kzip.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/lex.Plo ./$(DEPDIR)/metainfojob.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/netaccess.Plo ./$(DEPDIR)/observer.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/passdlg.Plo ./$(DEPDIR)/paste.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/previewjob.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/progressbase.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/renamedlg.Plo ./$(DEPDIR)/scheduler.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/sessiondata.Plo ./$(DEPDIR)/skipdlg.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/slave.Plo ./$(DEPDIR)/slavebase.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/slaveconfig.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/slaveinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/statusbarprogress.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/tcpslavebase.Plo ./$(DEPDIR)/yacc.Plo
#>+ 103
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =  $(DEPDIR)/observer_stub.P $(DEPDIR)/kdirnotify_skel.P $(DEPDIR)/kdirnotify_stub.P $(DEPDIR)/uiserver_stub.P $(DEPDIR)/observer_skel.P  $(DEPDIR)/libkiocore_la.all_cpp.P $(DEPDIR)/libksycoca_la.all_cpp.P  ./$(DEPDIR)/authinfo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/chmodjob.Plo ./$(DEPDIR)/connection.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/davjob.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/defaultprogress.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/global.Plo ./$(DEPDIR)/job.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kar.Plo ./$(DEPDIR)/karchive.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kautomount.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdatatool.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdirlister.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdirnotify.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdirwatch.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kemailsettings.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilefilter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfileitem.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilemetainfo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfileshare.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilterbase.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilterdev.Plo ./$(DEPDIR)/kimageio.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kmimemagic.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kmimetype.Plo ./$(DEPDIR)/kpac.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kprotocolinfo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kprotocolinfofactory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kprotocolmanager.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/krun.Plo ./$(DEPDIR)/kscan.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kservice.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kservicefactory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kservicegroup.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kservicegroupfactory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kservicetype.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kservicetypefactory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kshellcompletion.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kshred.Plo ./$(DEPDIR)/ktar.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ktrader.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ktraderparse.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ktraderparsetree.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kurifilter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kurlcompletion.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kurlpixmapprovider.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kuserprofile.Plo ./$(DEPDIR)/kzip.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/lex.Plo ./$(DEPDIR)/metainfojob.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/netaccess.Plo ./$(DEPDIR)/observer.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/passdlg.Plo ./$(DEPDIR)/paste.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/previewjob.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/progressbase.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/renamedlg.Plo ./$(DEPDIR)/scheduler.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/sessiondata.Plo ./$(DEPDIR)/skipdlg.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/slave.Plo ./$(DEPDIR)/slavebase.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/slaveconfig.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/slaveinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/statusbarprogress.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/tcpslavebase.Plo ./$(DEPDIR)/yacc.Plo
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =  $(DEPDIR)/observer_stub.P $(DEPDIR)/kdirnotify_skel.P $(DEPDIR)/kdirnotify_stub.P $(DEPDIR)/uiserver_stub.P $(DEPDIR)/observer_skel.P  ./$(DEPDIR)/authinfo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/chmodjob.Plo ./$(DEPDIR)/connection.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/davjob.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/defaultprogress.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/global.Plo ./$(DEPDIR)/job.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kar.Plo ./$(DEPDIR)/karchive.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kautomount.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kdatatool.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kdirlister.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kdirnotify.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kdirwatch.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kemailsettings.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilefilter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfileitem.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilemetainfo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfileshare.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilterbase.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kfilterdev.Plo ./$(DEPDIR)/kimageio.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kmimemagic.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kmimetype.Plo ./$(DEPDIR)/kpac.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kprotocolinfo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kprotocolinfofactory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kprotocolmanager.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/krun.Plo ./$(DEPDIR)/kscan.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kservice.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kservicefactory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kservicegroup.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kservicegroupfactory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kservicetype.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kservicetypefactory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kshellcompletion.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kshred.Plo ./$(DEPDIR)/ktar.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/ktrader.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/ktraderparse.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/ktraderparsetree.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kurifilter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kurlcompletion.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kurlpixmapprovider.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kuserprofile.Plo ./$(DEPDIR)/kzip.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/lex.Plo ./$(DEPDIR)/metainfojob.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/netaccess.Plo ./$(DEPDIR)/observer.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/passdlg.Plo ./$(DEPDIR)/paste.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/previewjob.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/progressbase.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/renamedlg.Plo ./$(DEPDIR)/scheduler.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/sessiondata.Plo ./$(DEPDIR)/skipdlg.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/slave.Plo ./$(DEPDIR)/slavebase.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/slaveconfig.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/slaveinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/statusbarprogress.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/tcpslavebase.Plo ./$(DEPDIR)/yacc.Plo

COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libkiocore_la_SOURCES) $(libksycoca_la_SOURCES)
HEADERS = $(include_HEADERS) $(kioinclude_HEADERS) $(noinst_HEADERS)

DIST_COMMON = $(include_HEADERS) $(kioinclude_HEADERS) \
	$(noinst_HEADERS) Makefile.am Makefile.in
SOURCES = $(libkiocore_la_SOURCES) $(libksycoca_la_SOURCES)

#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
.SUFFIXES: .c .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  kio/kio/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kio/kio/Makefile
	cd $(top_srcdir) && perl admin/am_edit kio/kio/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libkiocore.la: $(libkiocore_la_OBJECTS) $(libkiocore_la_DEPENDENCIES) 
	$(CXXLINK)  $(libkiocore_la_LDFLAGS) $(libkiocore_la_OBJECTS) $(libkiocore_la_LIBADD) $(LIBS)
libksycoca.la: $(libksycoca_la_OBJECTS) $(libksycoca_la_DEPENDENCIES) 
	$(CXXLINK)  $(libksycoca_la_LDFLAGS) $(libksycoca_la_OBJECTS) $(libksycoca_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authinfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chmodjob.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/connection.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/davjob.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/defaultprogress.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/global.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/job.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kar.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/karchive.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kautomount.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdatatool.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdirlister.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdirnotify.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdirwatch.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kemailsettings.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfilefilter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfileitem.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfilemetainfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfileshare.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfilterbase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfilterdev.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kimageio.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmimemagic.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmimetype.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpac.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kprotocolinfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kprotocolinfofactory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kprotocolmanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/krun.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kscan.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kservice.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kservicefactory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kservicegroup.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kservicegroupfactory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kservicetype.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kservicetypefactory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kshellcompletion.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kshred.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ktar.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ktrader.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ktraderparse.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ktraderparsetree.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kurifilter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kurlcompletion.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kurlpixmapprovider.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kuserprofile.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kzip.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lex.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/metainfojob.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/netaccess.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/observer.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/passdlg.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/paste.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/previewjob.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/progressbase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/renamedlg.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scheduler.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sessiondata.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skipdlg.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/slave.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/slavebase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/slaveconfig.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/slaveinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/statusbarprogress.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tcpslavebase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/yacc.Plo@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.c.o:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCC_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCC_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
@am__fastdepCC_TRUE@	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCC_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
includeHEADERS_INSTALL = $(INSTALL_HEADER)
install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(includedir)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(includeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(includedir)/$$f"; \
	  $(includeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(includedir)/$$f; \
	done

uninstall-includeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(includedir)/$$f"; \
	  rm -f $(DESTDIR)$(includedir)/$$f; \
	done
kioincludeHEADERS_INSTALL = $(INSTALL_HEADER)
install-kioincludeHEADERS: $(kioinclude_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(kioincludedir)
	@list='$(kioinclude_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(kioincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(kioincludedir)/$$f"; \
	  $(kioincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(kioincludedir)/$$f; \
	done

uninstall-kioincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(kioinclude_HEADERS)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(kioincludedir)/$$f"; \
	  rm -f $(DESTDIR)$(kioincludedir)/$$f; \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=klimitediodevice.h KFILEMETAINFO_ISSUES yacc.y lex.l configure.in.in kservicegroupfactory.h 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES) $(HEADERS)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(includedir) $(DESTDIR)$(kioincludedir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-am
#>+ 1
clean: kde-rpo-clean  clean-am

#>- clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
#>- 	mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-idl clean-final  clean-generic clean-libtool clean-noinstLTLIBRARIES \
	mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-includeHEADERS install-kioincludeHEADERS

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-includeHEADERS uninstall-info-am \
	uninstall-kioincludeHEADERS

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
	clean-libtool clean-noinstLTLIBRARIES ctags distclean \
	distclean-compile distclean-depend distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am info \
	info-am install install-am install-data install-data-am \
	install-exec install-exec-am install-includeHEADERS \
	install-info install-info-am install-kioincludeHEADERS \
	install-man install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
	uninstall-am uninstall-includeHEADERS uninstall-info-am \
	uninstall-kioincludeHEADERS


#This dependency is needed, cause am_edit does not include it automatically
#(different programs), but nevertheless kmimetype.cpp includes
#kdirnotify_stub.h
$(srcdir)/kmimetype.cpp: kdirnotify_stub.h
$(srcdir)/kautomount.cpp: kdirnotify_stub.h
$(srcdir)/chmodjob.cpp: kdirnotify_stub.h
$(srcdir)/kfileshare.cpp: kdirnotify_stub.h
#>- $(srcdir)/job.cpp: kdirnotify_stub.h
#>+ 1
$(srcdir)/job.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h  kdirnotify_stub.h

parser: $(parserfiles)
	cd $(srcdir) ;\
	flex -olex.c -Pkiotrader lex.l ;\
	bison -d -p kiotrader yacc.y && mv yacc.tab.c yacc.c; mv yacc.tab.h yacc.h
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 17
observer.kidl: $(srcdir)/observer.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/observer.h > observer.kidl || ( rm -f observer.kidl ; false )
observer_stub.h: observer.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-skel observer.kidl
kdirnotify.kidl: $(srcdir)/kdirnotify.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/kdirnotify.h > kdirnotify.kidl || ( rm -f kdirnotify.kidl ; false )
kdirnotify_skel.cpp: kdirnotify.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub kdirnotify.kidl
kdirnotify_stub.h: kdirnotify.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-skel kdirnotify.kidl
uiserver.kidl: $(top_srcdir)/kio/misc/uiserver.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(top_srcdir)/kio/misc/uiserver.h > uiserver.kidl || ( rm -f uiserver.kidl ; false )
uiserver_stub.h: uiserver.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-skel uiserver.kidl
observer_skel.cpp: observer.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub observer.kidl

#>+ 3
kdatatool.moc: $(srcdir)/kdatatool.h
	$(MOC) $(srcdir)/kdatatool.h -o kdatatool.moc

#>+ 1
mocs: kdatatool.moc
#>+ 3
previewjob.moc: $(srcdir)/previewjob.h
	$(MOC) $(srcdir)/previewjob.h -o previewjob.moc

#>+ 1
mocs: previewjob.moc
#>+ 3
kdirwatch_p.moc: $(srcdir)/kdirwatch_p.h
	$(MOC) $(srcdir)/kdirwatch_p.h -o kdirwatch_p.moc

#>+ 1
mocs: kdirwatch_p.moc
#>+ 3
jobclasses.moc: $(srcdir)/jobclasses.h
	$(MOC) $(srcdir)/jobclasses.h -o jobclasses.moc

#>+ 1
mocs: jobclasses.moc
#>+ 3
kmimetyperesolver.moc: $(srcdir)/kmimetyperesolver.h
	$(MOC) $(srcdir)/kmimetyperesolver.h -o kmimetyperesolver.moc

#>+ 1
mocs: kmimetyperesolver.moc
#>+ 3
ktrader.moc: $(srcdir)/ktrader.h
	$(MOC) $(srcdir)/ktrader.h -o ktrader.moc

#>+ 1
mocs: ktrader.moc
#>+ 3
slave.moc: $(srcdir)/slave.h
	$(MOC) $(srcdir)/slave.h -o slave.moc

#>+ 1
mocs: slave.moc
#>+ 3
kshred.moc: $(srcdir)/kshred.h
	$(MOC) $(srcdir)/kshred.h -o kshred.moc

#>+ 1
mocs: kshred.moc
#>+ 3
skipdlg.moc: $(srcdir)/skipdlg.h
	$(MOC) $(srcdir)/skipdlg.h -o skipdlg.moc

#>+ 1
mocs: skipdlg.moc
#>+ 3
kurifilter.moc: $(srcdir)/kurifilter.h
	$(MOC) $(srcdir)/kurifilter.h -o kurifilter.moc

#>+ 1
mocs: kurifilter.moc
#>+ 3
statusbarprogress.moc: $(srcdir)/statusbarprogress.h
	$(MOC) $(srcdir)/statusbarprogress.h -o statusbarprogress.moc

#>+ 1
mocs: statusbarprogress.moc
#>+ 3
defaultprogress.moc: $(srcdir)/defaultprogress.h
	$(MOC) $(srcdir)/defaultprogress.h -o defaultprogress.moc

#>+ 1
mocs: defaultprogress.moc
#>+ 3
davjob.moc: $(srcdir)/davjob.h
	$(MOC) $(srcdir)/davjob.h -o davjob.moc

#>+ 1
mocs: davjob.moc
#>+ 3
progressbase.moc: $(srcdir)/progressbase.h
	$(MOC) $(srcdir)/progressbase.h -o progressbase.moc

#>+ 1
mocs: progressbase.moc
#>+ 3
kfileshare.moc: $(srcdir)/kfileshare.h
	$(MOC) $(srcdir)/kfileshare.h -o kfileshare.moc

#>+ 1
mocs: kfileshare.moc
#>+ 3
kautomount.moc: $(srcdir)/kautomount.h
	$(MOC) $(srcdir)/kautomount.h -o kautomount.moc

#>+ 1
mocs: kautomount.moc
#>+ 3
metainfojob.moc: $(srcdir)/metainfojob.h
	$(MOC) $(srcdir)/metainfojob.h -o metainfojob.moc

#>+ 1
mocs: metainfojob.moc
#>+ 3
kshellcompletion.moc: $(srcdir)/kshellcompletion.h
	$(MOC) $(srcdir)/kshellcompletion.h -o kshellcompletion.moc

#>+ 1
mocs: kshellcompletion.moc
#>+ 3
scheduler.moc: $(srcdir)/scheduler.h
	$(MOC) $(srcdir)/scheduler.h -o scheduler.moc

#>+ 1
mocs: scheduler.moc
#>+ 3
chmodjob.moc: $(srcdir)/chmodjob.h
	$(MOC) $(srcdir)/chmodjob.h -o chmodjob.moc

#>+ 1
mocs: chmodjob.moc
#>+ 3
connection.moc: $(srcdir)/connection.h
	$(MOC) $(srcdir)/connection.h -o connection.moc

#>+ 1
mocs: connection.moc
#>+ 3
kdirlister.moc: $(srcdir)/kdirlister.h
	$(MOC) $(srcdir)/kdirlister.h -o kdirlister.moc

#>+ 1
mocs: kdirlister.moc
#>+ 3
observer.moc: $(srcdir)/observer.h
	$(MOC) $(srcdir)/observer.h -o observer.moc

#>+ 1
mocs: observer.moc
#>+ 3
kfilemetainfo.moc: $(srcdir)/kfilemetainfo.h
	$(MOC) $(srcdir)/kfilemetainfo.h -o kfilemetainfo.moc

#>+ 1
mocs: kfilemetainfo.moc
#>+ 3
slaveconfig.moc: $(srcdir)/slaveconfig.h
	$(MOC) $(srcdir)/slaveconfig.h -o slaveconfig.moc

#>+ 1
mocs: slaveconfig.moc
#>+ 3
krun.moc: $(srcdir)/krun.h
	$(MOC) $(srcdir)/krun.h -o krun.moc

#>+ 1
mocs: krun.moc
#>+ 3
kurlcompletion.moc: $(srcdir)/kurlcompletion.h
	$(MOC) $(srcdir)/kurlcompletion.h -o kurlcompletion.moc

#>+ 1
mocs: kurlcompletion.moc
#>+ 3
kfilterbase.moc: $(srcdir)/kfilterbase.h
	$(MOC) $(srcdir)/kfilterbase.h -o kfilterbase.moc

#>+ 1
mocs: kfilterbase.moc
#>+ 3
kdirlister_p.moc: $(srcdir)/kdirlister_p.h
	$(MOC) $(srcdir)/kdirlister_p.h -o kdirlister_p.moc

#>+ 1
mocs: kdirlister_p.moc
#>+ 3
netaccess.moc: $(srcdir)/netaccess.h
	$(MOC) $(srcdir)/netaccess.h -o netaccess.moc

#>+ 1
mocs: netaccess.moc
#>+ 3
kdirwatch.moc: $(srcdir)/kdirwatch.h
	$(MOC) $(srcdir)/kdirwatch.h -o kdirwatch.moc

#>+ 1
mocs: kdirwatch.moc
#>+ 3
sessiondata.moc: $(srcdir)/sessiondata.h
	$(MOC) $(srcdir)/sessiondata.h -o sessiondata.moc

#>+ 1
mocs: sessiondata.moc
#>+ 3
passdlg.moc: $(srcdir)/passdlg.h
	$(MOC) $(srcdir)/passdlg.h -o passdlg.moc

#>+ 1
mocs: passdlg.moc
#>+ 3
renamedlg.moc: $(srcdir)/renamedlg.h
	$(MOC) $(srcdir)/renamedlg.h -o renamedlg.moc

#>+ 1
mocs: renamedlg.moc
#>+ 3
slaveinterface.moc: $(srcdir)/slaveinterface.h
	$(MOC) $(srcdir)/slaveinterface.h -o slaveinterface.moc

#>+ 1
mocs: slaveinterface.moc
#>+ 3
kscan.moc: $(srcdir)/kscan.h
	$(MOC) $(srcdir)/kscan.h -o kscan.moc

#>+ 1
mocs: kscan.moc
#>+ 3
clean-metasources:
	-rm -f  kdatatool.moc previewjob.moc kdirwatch_p.moc jobclasses.moc kmimetyperesolver.moc ktrader.moc slave.moc kshred.moc skipdlg.moc kurifilter.moc statusbarprogress.moc defaultprogress.moc davjob.moc progressbase.moc kfileshare.moc kautomount.moc metainfojob.moc kshellcompletion.moc scheduler.moc chmodjob.moc connection.moc kdirlister.moc observer.moc kfilemetainfo.moc slaveconfig.moc krun.moc kurlcompletion.moc kfilterbase.moc kdirlister_p.moc netaccess.moc kdirwatch.moc sessiondata.moc passdlg.moc renamedlg.moc slaveinterface.moc kscan.moc

#>+ 8
clean-idl:
	-rm -f \
	observer_stub.cpp observer_stub.h observer.kidl \
	kdirnotify_skel.cpp kdirnotify_skel.h kdirnotify.kidl \
	kdirnotify_stub.cpp kdirnotify_stub.h kdirnotify.kidl \
	uiserver_stub.cpp uiserver_stub.h uiserver.kidl \
	observer_skel.cpp observer_skel.h observer.kidl 

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kio/kio/Makefile
	cd $(top_srcdir) && perl admin/am_edit kio/kio/Makefile.in


#>+ 11
libkiocore_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/kshred.cpp $(srcdir)/kprotocolmanager.cpp $(srcdir)/slave.cpp $(srcdir)/slaveinterface.cpp $(srcdir)/sessiondata.cpp $(srcdir)/scheduler.cpp $(srcdir)/connection.cpp $(srcdir)/job.cpp $(srcdir)/global.cpp $(srcdir)/slaveconfig.cpp $(srcdir)/kurlpixmapprovider.cpp $(srcdir)/netaccess.cpp $(srcdir)/paste.cpp $(srcdir)/kmimemagic.cpp $(srcdir)/kpac.cpp $(srcdir)/tcpslavebase.cpp $(srcdir)/slavebase.cpp $(srcdir)/passdlg.cpp $(srcdir)/progressbase.cpp $(srcdir)/defaultprogress.cpp $(srcdir)/statusbarprogress.cpp $(srcdir)/kdirnotify.cpp $(srcdir)/observer.cpp $(srcdir)/kemailsettings.cpp $(srcdir)/authinfo.cpp $(srcdir)/kprotocolinfo.cpp $(srcdir)/kprotocolinfofactory.cpp $(srcdir)/renamedlg.cpp $(srcdir)/skipdlg.cpp observer_stub.cpp kdirnotify_skel.cpp kdirnotify_stub.cpp uiserver_stub.cpp observer_skel.cpp  jobclasses.moc slave.moc kshred.moc skipdlg.moc statusbarprogress.moc defaultprogress.moc progressbase.moc scheduler.moc connection.moc observer.moc slaveconfig.moc netaccess.moc sessiondata.moc passdlg.moc renamedlg.moc slaveinterface.moc
	@echo 'creating libkiocore_la.all_cpp.cpp ...'; \
	rm -f libkiocore_la.all_cpp.files libkiocore_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> libkiocore_la.all_cpp.final; \
	for file in kshred.cpp kprotocolmanager.cpp slave.cpp slaveinterface.cpp sessiondata.cpp scheduler.cpp connection.cpp job.cpp global.cpp slaveconfig.cpp kurlpixmapprovider.cpp netaccess.cpp paste.cpp kmimemagic.cpp kpac.cpp tcpslavebase.cpp slavebase.cpp passdlg.cpp progressbase.cpp defaultprogress.cpp statusbarprogress.cpp kdirnotify.cpp observer.cpp kemailsettings.cpp authinfo.cpp kprotocolinfo.cpp kprotocolinfofactory.cpp renamedlg.cpp skipdlg.cpp observer_stub.cpp kdirnotify_skel.cpp kdirnotify_stub.cpp uiserver_stub.cpp observer_skel.cpp ; do \
	  echo "#include \"$$file\"" >> libkiocore_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libkiocore_la.all_cpp.final; \
	done; \
	cat libkiocore_la.all_cpp.final libkiocore_la.all_cpp.files > libkiocore_la.all_cpp.cpp; \
	rm -f libkiocore_la.all_cpp.final libkiocore_la.all_cpp.files

#>+ 11
libksycoca_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/kdirwatch.cpp $(srcdir)/kfileshare.cpp $(srcdir)/ktrader.cpp $(srcdir)/ktraderparse.cpp $(srcdir)/ktraderparsetree.cpp $(srcdir)/kservicetypefactory.cpp $(srcdir)/kservicetype.cpp $(srcdir)/kmimetype.cpp $(srcdir)/kservicegroup.cpp $(srcdir)/kservice.cpp $(srcdir)/kservicefactory.cpp $(srcdir)/kuserprofile.cpp $(srcdir)/kservicegroupfactory.cpp $(srcdir)/kurifilter.cpp $(srcdir)/kfilterbase.cpp $(srcdir)/kfilterdev.cpp $(srcdir)/kshellcompletion.cpp $(srcdir)/kurlcompletion.cpp $(srcdir)/kautomount.cpp $(srcdir)/krun.cpp $(srcdir)/kfileitem.cpp $(srcdir)/kdirlister.cpp $(srcdir)/kimageio.cpp $(srcdir)/chmodjob.cpp $(srcdir)/kscan.cpp $(srcdir)/kar.cpp $(srcdir)/ktar.cpp $(srcdir)/kzip.cpp $(srcdir)/previewjob.cpp $(srcdir)/metainfojob.cpp $(srcdir)/davjob.cpp $(srcdir)/kdatatool.cpp $(srcdir)/karchive.cpp $(srcdir)/kfilefilter.cpp $(srcdir)/kfilemetainfo.cpp  kdatatool.moc previewjob.moc kdirwatch_p.moc kmimetyperesolver.moc ktrader.moc kurifilter.moc davjob.moc kfileshare.moc kautomount.moc kshellcompletion.moc metainfojob.moc chmodjob.moc kdirlister.moc kfilemetainfo.moc krun.moc kurlcompletion.moc kfilterbase.moc kdirlister_p.moc kdirwatch.moc kscan.moc
	@echo 'creating libksycoca_la.all_cpp.cpp ...'; \
	rm -f libksycoca_la.all_cpp.files libksycoca_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> libksycoca_la.all_cpp.final; \
	for file in kdirwatch.cpp kfileshare.cpp ktrader.cpp ktraderparse.cpp ktraderparsetree.cpp kservicetypefactory.cpp kservicetype.cpp kmimetype.cpp kservicegroup.cpp kservice.cpp kservicefactory.cpp kuserprofile.cpp kservicegroupfactory.cpp kurifilter.cpp kfilterbase.cpp kfilterdev.cpp kshellcompletion.cpp kurlcompletion.cpp kautomount.cpp krun.cpp kfileitem.cpp kdirlister.cpp kimageio.cpp chmodjob.cpp kscan.cpp kar.cpp ktar.cpp kzip.cpp previewjob.cpp metainfojob.cpp davjob.cpp kdatatool.cpp karchive.cpp kfilefilter.cpp kfilemetainfo.cpp ; do \
	  echo "#include \"$$file\"" >> libksycoca_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libksycoca_la.all_cpp.final; \
	done; \
	cat libksycoca_la.all_cpp.final libksycoca_la.all_cpp.files > libksycoca_la.all_cpp.cpp; \
	rm -f libksycoca_la.all_cpp.final libksycoca_la.all_cpp.files

#>+ 3
clean-final:
	-rm -f libkiocore_la.all_cpp.cpp libksycoca_la.all_cpp.cpp

#>+ 2
final:
	$(MAKE) libkiocore_la_OBJECTS="$(libkiocore_la_final_OBJECTS)" libksycoca_la_OBJECTS="$(libksycoca_la_final_OBJECTS)" all-am
#>+ 2
final-install:
	$(MAKE) libkiocore_la_OBJECTS="$(libkiocore_la_final_OBJECTS)" libksycoca_la_OBJECTS="$(libksycoca_la_final_OBJECTS)" install-am
#>+ 2
no-final:
	$(MAKE) libkiocore_la_OBJECTS="$(libkiocore_la_nofinal_OBJECTS)" libksycoca_la_OBJECTS="$(libksycoca_la_nofinal_OBJECTS)" all-am
#>+ 2
no-final-install:
	$(MAKE) libkiocore_la_OBJECTS="$(libkiocore_la_nofinal_OBJECTS)" libksycoca_la_OBJECTS="$(libksycoca_la_nofinal_OBJECTS)" install-am
#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 100
netaccess.o: netaccess.moc 
slaveinterface.lo: slaveinterface.moc 
kscan.lo: kscan.moc 
$(srcdir)/kmimemagic.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
$(srcdir)/sessiondata.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
$(srcdir)/authinfo.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
sessiondata.lo: sessiondata.moc 
observer.o: observer.moc 
kautomount.o: kautomount.moc 
$(srcdir)/slave.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
kdatatool.o: kdatatool.moc 
davjob.lo: davjob.moc 
kmimetype.lo: kmimetyperesolver.moc 
kfilterbase.o: kfilterbase.moc 
scheduler.o: scheduler.moc 
$(srcdir)/kemailsettings.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
kdirwatch.lo: kdirwatch_p.moc kdirwatch.moc 
netaccess.lo: netaccess.moc 
kmimetype.o: kmimetyperesolver.moc 
passdlg.o: passdlg.moc 
kdatatool.lo: kdatatool.moc 
kfilemetainfo.o: kfilemetainfo.moc 
$(srcdir)/slavebase.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
kshellcompletion.lo: kshellcompletion.moc 
kdirnotify_stub.cpp: kdirnotify_stub.h 
kfilterbase.lo: kfilterbase.moc 
krun.o: krun.moc 
slaveconfig.lo: slaveconfig.moc 
skipdlg.o: skipdlg.moc 
$(srcdir)/connection.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
observer_stub.cpp: observer_stub.h 
$(srcdir)/kurlpixmapprovider.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
ktrader.o: ktrader.moc 
$(srcdir)/passdlg.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
kdirwatch.o: kdirwatch_p.moc kdirwatch.moc 
$(srcdir)/netaccess.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
statusbarprogress.lo: statusbarprogress.moc 
$(srcdir)/kdirnotify.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
slaveconfig.o: slaveconfig.moc 
connection.o: connection.moc 
renamedlg.o: renamedlg.moc 
$(srcdir)/paste.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
scheduler.lo: scheduler.moc 
chmodjob.lo: chmodjob.moc 
ktrader.lo: ktrader.moc 
previewjob.lo: previewjob.moc 
defaultprogress.lo: defaultprogress.moc 
progressbase.lo: progressbase.moc 
$(srcdir)/renamedlg.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
$(srcdir)/kprotocolinfofactory.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
kshred.lo: kshred.moc 
$(srcdir)/observer.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
connection.lo: connection.moc 
defaultprogress.o: defaultprogress.moc 
$(srcdir)/slaveconfig.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
$(srcdir)/skipdlg.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
kdirlister.o: kdirlister.moc kdirlister_p.moc 
kdirlister.lo: kdirlister.moc kdirlister_p.moc 
passdlg.lo: passdlg.moc 
$(srcdir)/defaultprogress.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
$(srcdir)/kpac.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
chmodjob.o: chmodjob.moc 
kfileshare.o: kfileshare.moc 
renamedlg.lo: renamedlg.moc 
job.lo: jobclasses.moc 
uiserver_stub.cpp: uiserver_stub.h 
kshred.o: kshred.moc 
$(srcdir)/kprotocolmanager.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
$(srcdir)/scheduler.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
$(srcdir)/progressbase.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
slave.o: slave.moc 
kfilemetainfo.lo: kfilemetainfo.moc 
sessiondata.o: sessiondata.moc 
kurifilter.o: kurifilter.moc 
skipdlg.lo: skipdlg.moc 
kautomount.lo: kautomount.moc 
$(srcdir)/global.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
kscan.o: kscan.moc 
kfileshare.lo: kfileshare.moc 
$(srcdir)/slaveinterface.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
statusbarprogress.o: statusbarprogress.moc 
slaveinterface.o: slaveinterface.moc 
job.o: jobclasses.moc 
metainfojob.o: metainfojob.moc 
kurlcompletion.o: kurlcompletion.moc 
observer.lo: observer.moc 
kshellcompletion.o: kshellcompletion.moc 
$(srcdir)/tcpslavebase.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
davjob.o: davjob.moc 
slave.lo: slave.moc 
kurlcompletion.lo: kurlcompletion.moc 
kurifilter.lo: kurifilter.moc 
$(srcdir)/kshred.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
progressbase.o: progressbase.moc 
previewjob.o: previewjob.moc 
krun.lo: krun.moc 
$(srcdir)/kprotocolinfo.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
$(srcdir)/statusbarprogress.cpp: observer_stub.h kdirnotify_stub.h uiserver_stub.h 
metainfojob.lo: metainfojob.moc 
